Package org.apache.maven.scm.provider.perforce.command.checkin

## Class PerforceCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.perforce.command.checkin.PerforceCheckInCommand

All Implemented Interfaces:
  `Command`, `PerforceCommand`

    public class PerforceCheckInCommand
    extends AbstractCheckInCommand
    implements PerforceCommand

Author:
  Mike Perham

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`PerforceCheckInCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `createChangeListSpecification​(PerforceScmProviderRepository repo, ScmFileSet files, java.lang.String msg, java.lang.String canonicalPath, java.lang.String jobs)`
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(PerforceScmProviderRepository repo, java.io.File workingDirectory)`
`protected CheckInScmResult` `executeCheckInCommand​(ScmProviderRepository repo, ScmFileSet files, java.lang.String message, ScmVersion version)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceCheckInCommand

    public PerforceCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand​(ScmProviderRepository repo,
                                                     ScmFileSet files,
                                                     java.lang.String message,
                                                     ScmVersion version)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(PerforceScmProviderRepository repo,
                                                                             java.io.File workingDirectory)

#### createChangeListSpecification

    public static java.lang.String createChangeListSpecification​(PerforceScmProviderRepository repo,
                                                                 ScmFileSet files,
                                                                 java.lang.String msg,
                                                                 java.lang.String canonicalPath,
                                                                 java.lang.String jobs)